package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuConfigFactory
{
    private FeishuConfigFactory()
    {
    }
    public static IFeishuConfig getRemoteInstance() throws BOSException
    {
        return (IFeishuConfig)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("AABD6B8B") , IFeishuConfig.class);
    }
    
    public static IFeishuConfig getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuConfig)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("AABD6B8B") , IFeishuConfig.class, objectCtx);
    }
    public static IFeishuConfig getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuConfig)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("AABD6B8B"));
    }
    public static IFeishuConfig getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuConfig)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("AABD6B8B"));
    }
}